    import DeleteStore from 'yjs/src/Store/DeleteStore.js'

public class | source

# DeleteStore

#### Extends:

Tree → DeleteStore

## Method Summary

Public Methods
public | isDeleted (id: *): * |
public | logTable () |
public | mark (id: *, length: *, gc: *) |
public | markDeleted (id: *, length: *) |

## Inherited Summary

From class Tree
public | length : number |
public | root : * |
public | delete (id: *) |
public | find (id: *): * |
public | findNext (id: *): * |
public | findNode (id: *): * |
public | findNodeWithLowerBound (from: *): * |
public | findNodeWithUpperBound (to: *): * |
public | findPrev (id: *): * |
public | findSmallestNode (): * |
public | findWithLowerBound (from: *): * |
public | findWithUpperBound (to: *): * |
public | iterate (from: *, to: *, f: *) |
public | put (v: *): * |

## Public Methods

### public isDeleted(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public logTable() source

### public mark(id: *, length: *, gc: *) source

#### Params:

Name | Type | Attribute | Description
id | * |  |
length | * |  |
gc | * |  |

### public markDeleted(id: *, length: *) source

#### Params:

Name | Type | Attribute | Description
id | * |  |
length | * |  |